# DataExchange
TKIGES
IGESGeom

# IGESGeom_OffsetSurface Class Reference

defines IGESOffsetSurface, Type <140> Form <0>
in package IGESGeom
An offset surface is a surface defined in terms of an
already existing surface.If S(u, v) is a parametrised
regular surface and N(u, v) is a differential field of
unit normal vectors defined on the whole surface, and
"d" a fixed non zero real number, then offset surface
to S is a parametrised surface S(u, v) given by
O(u, v) = S(u, v) + d * N(u, v);
u1 <= u <= u2; v1 <= v <= v2;

`#include <IGESGeom_OffsetSurface.hxx>`

Inheritance diagram for IGESGeom_OffsetSurface:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_OffsetSurface ()
Standard_EXPORT void | Init (const gp_XYZ &anIndicatoR, const Standard_Real aDistance, const Handle(IGESData_IGESEntity)&aSurface)
| This method is used to set the fields of the class OffsetSurface - anIndicator : Offset indicator - aDistance : Offset distance - aSurface : Surface that is offset .
Standard_EXPORT gp_Vec | OffsetIndicator () const
| returns the offset indicator
Standard_EXPORT gp_Vec | TransformedOffsetIndicator () const
| returns the offset indicator after applying Transf. Matrix
Standard_EXPORT Standard_Real | Distance () const
| returns the distance by which surface is offset
Standard_EXPORT Handle_IGESData_IGESEntity | Surface () const
| returns the surface that has been offset
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XYZ | theIndicator
Standard_Real | theDistance
Handle_IGESData_IGESEntity | theSurface

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_OffsetSurface::IGESGeom_OffsetSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESGeom_OffsetSurface::Distance | ( |  | ) | const

Standard_EXPORT const IGESGeom_OffsetSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGeom_OffsetSurface::Init | ( | const gp_XYZ & | anIndicatoR,
|  | const Standard_Real | aDistance,
|  | const Handle(IGESData_IGESEntity)& | aSurface
| ) |

Standard_EXPORT gp_Vec IGESGeom_OffsetSurface::OffsetIndicator | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_OffsetSurface::Surface | ( |  | ) | const

Standard_EXPORT gp_Vec IGESGeom_OffsetSurface::TransformedOffsetIndicator | ( |  | ) | const

## Field Documentation

Standard_Real IGESGeom_OffsetSurface::theDistance `[private]`

gp_XYZ IGESGeom_OffsetSurface::theIndicator `[private]`

Handle_IGESData_IGESEntity IGESGeom_OffsetSurface::theSurface `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_OffsetSurface.hxx